SETGEN.generate.sets <- function(X1, X2 = NULL, r2min1 = 0.5, r2min2 = NULL, rposonly1 = TRUE,
                           rposonly2 = FALSE, pivdom = TRUE) {
  if(dim(X1)[1] < 2) stop("X1 must have at least 2 rows")

  # r2min1 must be between 0 and 1, r2min2 smaller than 1, if given
  #if(is.null(r2min1) || r2min1 < -0.000001 || r2min1 > 1.000001)
  #   stop("The value of r2min1 should be between 0 and 1")
  if(is.null(X2) || is.null(r2min2) || r2min2 < 0) {
     X2 <- X1[1:2,]
     rposonly2 <- FALSE
     r2min2 <- -1
  }    
  #if(r2min2 > 1.000001) 
  #   stop("r2min2 cannot be greater than 1")

  if(dim(X1)[2] != dim(X2)[2])
     stop("numbers of columns (variables) of X1 and X2 must be equal")
  if (!is.null(colnames(X1)) || !is.null(colnames(X2))) {
      if (!all(colnames(X1) == colnames(X2)))
          stop("colnames of X1 and X2 must be identical")
  } else {
      colnames(X1) <- colnames(X2) <- paste("V", 1:ncol(X1), sep="")
  }

  X1 <- scale(X1, center = TRUE, scale = FALSE)
  X2 <- scale(X2, center = TRUE, scale = FALSE)

  res <- .Call("candidatesets_R", X1, X2, r2min1, r2min2, rposonly1, rposonly2,
                pivdom)

  if(!is.list(res))
     warning("the result is not a list")
  names(res) <- c("idx", "glen")   #, "clenoffset")
 
  #res$clenoffset <- NULL
#  res$gnum <- length(res$glen)
#  res$gnames <- colnames(X1)  
#  res$grpdata <- split(res$idx, rep(res$gnames, res$glen))[res$gnames]
#  names(res$grpdata) <- res$gnames

#  res$idx <- res$gnames[res$idx]
#  res$grpdata <- lapply(res$grpdata, function(x) res$gnames[x])
#  names(res$grpdata) <- res$gnames

  res$idx <- colnames(X1)[res$idx]
  res <- split(res$idx, rep(colnames(X1), res$glen))[colnames(X1)]
  names(res) <- colnames(X1)
res  
}
