"SETGEN.grplist2tab" <-
structure(function(grplist) {
  
  ##############################################################################
  #                                                                            #
  # Check if 'grplist' has list style.                                         #
  #                                                                            #
  ##############################################################################

  if (!is.list(grplist) || is.data.frame(grplist))
    stop("'grplist' has to be a list")

  if (length(grplist)<1) 
    stop("'grplist' has to have at least one element")

  ##############################################################################
  #                                                                            #
  # Check group names.                                                         #
  #                                                                            #
  ##############################################################################

  if (is.null(names(grplist))) {
    names(grplist) <- 1:length(grplist)
    warning("'grplist' contains no group names")
  }

  ##############################################################################
  #                                                                            #
  # Get group lengths and names as well as member names and make the table.    #
  #                                                                            #
  ##############################################################################

  glen   <- unlist(lapply(grplist,length))
  if (sum(glen==0)>0)
    warning("'grplist' contains empty groups")

  gnames <- rep(names(grplist),glen)
  mnames <- unlist(grplist)
 
  grptab <- data.frame(group=gnames,member=mnames)
  colnames(grptab) <- c("group","member")
  rownames(grptab) <- 1:nrow(grptab)

  return(grptab)
}
, name = "SETGEN.grplist2tab")
