"SETGEN.grptab2list" <-
structure(function(grptab) {
  
  ##############################################################################
  #                                                                            #
  # Check if 'grptab' has table style.                                         #
  #                                                                            #
  ##############################################################################

  if (!(is.matrix(grptab) || is.data.frame(grptab)))
    stop("'grptab' has to be a table ('matrix' or 'data.frame')")

  if (ncol(grptab)!=2) stop("'grptab' has to have two columns'")
  if (nrow(grptab)<1) stop("'grptab' has to have at least one row'")

  ##############################################################################
  #                                                                            #
  # Get group names.                                                           #
  #                                                                            #
  ##############################################################################

  grps <- as.vector(grptab[,1])
  gnames <- as.vector(intersect(grps,grps))

  ##############################################################################
  #                                                                            #
  # Get number of groups.                                                      #
  #                                                                            #
  ##############################################################################

  gnum <- length(gnames)

  ##############################################################################
  #                                                                            #
  # Get group lengths.                                                         #
  #                                                                            #
  ##############################################################################

  glen <- sapply(gnames,function(name) sum(name==grps))

  ##############################################################################
  #                                                                            #
  # Make index vector.                                                         #
  #                                                                            #
  ##############################################################################

  idx <- as.vector(grptab[,2])

  ##############################################################################
  #                                                                            #
  # Make group list.                                                           #
  #                                                                            #
  ##############################################################################

  grplist <- split(idx,rep(gnames,glen))[gnames]

  return(grplist)
}
, name = "SETGEN.grptab2list")
