"SETGEN.print.parameters" <-
structure(function(sum.list,file="",indentinc="  ") {

  ##############################################################################
  #                                                                            #
  # Check 'sum.list'-argument.                                                 #
  #                                                                            #
  ##############################################################################

  if(is.null(sum.list)) stop("'sum.list' have to be specified")
  if(!is.list(sum.list)) stop("'sum.list' have to be a list")

  ##############################################################################
  #                                                                            #
  # Set length of 'sum.list', start indent and start level. Set maximum        #
  # character number to '0'.                                                   #
  #                                                                            #
  ##############################################################################

  l <- length(sum.list)
  indent <- ""
  level  <- 1
  ncmax  <- 0

  ##############################################################################
  #                                                                            #
  # Get the maximum tag length. Herefore the indent level has to be taken into #
  # account.                                                                   #
  #                                                                            #
  ##############################################################################

  for (i in 1:l) {
    if ("level" %in% names(sum.list[[i]])) {
      level  <- sum.list[[i]]$level
      indent <- paste("",rep(indentinc,level-1),sep="",collapse="")
    }
    tag <- paste(indent,sum.list[[i]]$tag,sep="")
    ncmax <- max(ncmax,nchar(tag))
  }

  ##############################################################################
  #                                                                            #
  # For each list entry get the tag and add the indent corresponding to the    #
  # level. Then append the 'value'-string if exists. Hereby the tag length is  #
  # measured and taken into account for the spacing between tag and value.     #
  #                                                                            #
  ##############################################################################

  for (i in 1:l) {

    ############################################################################
    #                                                                          #
    # Process 'tag'-entry.                                                     #
    #                                                                          #
    ############################################################################

    if ("level" %in% names(sum.list[[i]])) {
      level  <- sum.list[[i]]$level
      indent <- paste("",rep(indentinc,level-1),sep="",collapse="")
    }
    tag <- paste(indent,sum.list[[i]]$tag,sep="")

    ############################################################################
    #                                                                          #
    # Process 'value'-entry if any.                                            #
    #                                                                          #
    ############################################################################

    if ("value" %in% names(sum.list[[i]])) {
      nctag <- nchar(tag)
      value <- sum.list[[i]]$value
      value <- paste(":",paste(rep(" ",ncmax-nctag+1),sep="",collapse=""),
                     value,sep="")
    } else value <- ""

    ############################################################################
    #                                                                          #
    # Write tag-value pair into the specified file.                            #
    #                                                                          #
    ############################################################################

    if (level==1) write("",append=TRUE,file=file)
    write(paste(tag,value,sep=""),append=TRUE,file=file)
  }
}
, name = "SETGEN.print.parameters")
  
