helmert <- structure(function(n, full = FALSE, transpose = TRUE) {

  ##############################################################################
  #                                                                            #
  # Construct two matrices 'A' and 'B' that contain the scaling ('A') and the  #
  # direction of the vectors of the Helmert-matrix.                            #
  #                                                                            #
  ##############################################################################


  A <- matrix(0,n,n)
  B <- matrix(0,n,n)

  for (i in 1:(n-1)) {
    A[i,i] <- 1/sqrt(i*(i+1))
    for (j in 1:i) B[i,j]=-1
    B[i,i+1]=i
  }
  for (i in 1:n) B[n,i]=1
  A[n,n] <- 1/sqrt(n)

  if (transpose) { 
    if (!full) {
      t(A %*% B)[,1:(n-1)]
    } else {
      t(A %*% B)
    }
  } else { 
    if (!full) {
      (A %*% B)[1:(n-1),]
    } else {
      A %*% B
    }
  }
}
, name = "helmert")
