\name{SETGEN.grplist2tab}

\alias{SETGEN.grplist2tab}

\title{ Convert a list of sets of variables to a data.frame }

\description{
  This function converts a \code{list} of sets of variables to a \code{data.frame} 
  that can be written to a text file.

}
\usage{
SETGEN.grplist2tab(grplist)
}

\arguments{
  \item{grplist}{ A list of sets of variables as returned by \code{\link{SETGEN.generate.sets}} 
   or \code{\link{SETGEN}}.}
}

\value{
  A \code{data.frame} as optionally stored in the file with the extension ".details" by 
the function \code{\link{SETGEN}}. It has two columns. 
The first column contains the (repeated) names of the source variables 
and the second contains the names of the member variables of the corresponding sets.

}

\author{ Beck, M. }

\seealso{ \code{\link{SETGEN.grptab2list}} }

\examples{
gl <- list(g1=letters[1:3],g2=letters[5:10])
SETGEN.grplist2tab(gl)
}

\keyword{ utilities }
\keyword{ IO }

