\name{SETGEN.grptab2list}

\alias{SETGEN.grptab2list}

\title{ Convert a data.frame with sets of variables to a list }

\description{
  This function converts a \code{data.frame} with sets of variables to a \code{list})
}

\usage{
SETGEN.grptab2list(grptab)
}

\arguments{
  \item{grptab}{ A \code{data.frame} or \code{matrix} with (repeated) names 
of the source variables in the first column and names of the member
variables of the sets in the second column. This is the format of the file
with the extension ".details"
optionally created by the function \code{\link{SETGEN}}.}
}

\value{
  A \code{list} of sets of variables as returned by \code{\link{SETGEN.generate.sets}} or 
  \code{\link{SETGEN}} and as needed for pre-specifying the sets to be tested
 in the parameter \code{grpdata} of the \code{SETGEN} function. 
}

\author{ Beck, M. }

\seealso{ \code{\link{SETGEN.grplist2tab}} }

\examples{
gt <- cbind(rep(c("g1","g2"),c(3,6)),letters[c(1:3,5:10)])
SETGEN.grptab2list(gt)
}

\keyword{ utilities }
\keyword{ IO }
