\name{SETGEN.print.parameters}

\alias{SETGEN.print.parameters}

\title{ Print the parameters of an analysis }

\description{
  This function prints the parameters of an analysis in a readable format.
}

\usage{
SETGEN.print.parameters(sum.list , file = "" , indentinc = "  ")
}

\arguments{
  \item{sum.list}{ A list as returned by \code{\link{SETGEN}} 
    in the component \code{summary}. }
  \item{file}{ The name of a file to store the summary. If \code{file} is \code{""} (default) the summary list is written onto the screen. }
  \item{indentinc}{ The indent for formatting the output. }
}

\details{
  This function prints the parameters of an analysis returned by the function \code{\link{SETGEN}} 
  in the component \code{summary}.
  The function \code{\link{SETGEN}} uses optionally this function to write the parameters of an analysis 
  to a file with the extension \code{.summary} file.
}

\author{ Beck, M. }

\examples{
sl <- list(list(tag="Example",value="Level 1",level=1),
           list(tag="Example without value",level=1),
           list(tag="Example",value="Level 2",level=2),
           list(tag="Another stupid example",value="Level 3",level=3))
SETGEN.print.parameters(sl) # standard indent
SETGEN.print.parameters(sl,indentinc="     ") # large indent
}

\keyword{ IO }

