/******************************************************************************/
/*                                                                            */
/* wycorrlaeuter_R.[ch]                                                       */
/* ====================                                                       */
/*                                                                            */
/* C function library that contains wrapper functions for the Laeuter-like    */
/* Westfall & Young correlation resampling.                                   */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/*                                                                            */
/* Header files.                                                              */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* User header files.                                                         */
/*                                                                            */
/******************************************************************************/

#include "wycorrlaeuter.h"
#include "wycorrlaeuter_R.h"

/******************************************************************************/
/*                                                                            */
/* Functions.                                                                 */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Wrapper function for 'wy_corr_laeuter_pearson'.                            */
/*                                                                            */
/******************************************************************************/

void wy_corr_laeuter_pearson_R(double *X, int *ns, int *s, int *p,
                               int *grpidx, int *glen, int *gnum,
                               int *pivotidx, 
			       int *rposonly, int *direction, int *pivdom, 
                               double *r2min, int *nres, int *rand, 
                               int *multisample, int *rot,
                               int *discret, int *trunc, double *ucrit,
                               double *minbeta, int *samedirect, int *maxgene,
                               int *singlestep,
			       int *idx, double *testvalue, double *pvalue,
                               double *critlevs, int *ncrit, 
			       double *critvals) {
  wy_corr_laeuter_pearson(X-1,ns-1,*s,*p,grpidx-1,glen-1, *gnum,
                          pivotidx-1,
                          *rposonly, *direction,*pivdom,*r2min,
                          *nres,*rand,*multisample,*rot,
                          *discret, *trunc, *ucrit, *minbeta, 
                          *samedirect, *maxgene, *singlestep,
                          idx-1,testvalue-1,pvalue-1,
                          critlevs-1,*ncrit,critvals-1);
}

/******************************************************************************/
/*                                                                            */
/* Wrapper function for 'wy_corr_laeuter_total'.                              */
/*                                                                            */
/******************************************************************************/

void wy_corr_laeuter_total_R(double *X, int *ns, int *s, int *p, 
			     int *rposonly, int *pivdom, double *r2min, 
			     int *nres, int *rand, int *multisample,
			     int *idx, double *testvalue, double *pvalue,
                             double *critlevs, int *ncrit, double *critvals) {
  wy_corr_laeuter_total(X-1,ns-1,*s,*p,*rposonly,*pivdom,*r2min,*nres,*rand,
                        *multisample,idx-1,testvalue-1,pvalue-1,critlevs-1,
			*ncrit,critvals-1);
}
