/******************************************************************************/
/*                                                                            */
/* wycorrlaeuter_R.[ch]                                                       */
/* ====================                                                       */
/*                                                                            */
/* C function library that contains wrapper functions for the Laeuter-like    */
/* Westfall & Young correlation resampling.                                   */
/*                                                                            */
/******************************************************************************/

#ifndef WYCORRLAEUTER_R_H
#define WYCORRLAEUTER_R_H

/******************************************************************************/
/*                                                                            */
/* Functions.                                                                 */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Wrapper function for 'wy_corr_laeuter_pearson'.                            */
/*                                                                            */
/******************************************************************************/

void wy_corr_laeuter_pearson_R(double *X, int *ns, int *s, int *p,
                               int *grpidx, int *glen, int *gnum,
                               int *pivotidx, 
			       int *rposonly, int *direction, int *pivdom, 
                               double *r2min, 
			       int *nres, int *rand, int *multisample,
                               int *rot,
                               int *discret, int *trunc, double *ucrit,
                               double *minbeta, int *samedirect, int *maxgene,
                               int *singlestep,
			       int *idx, double *testvalue, double *pvalue,
                               double *critlevs, int *ncrit, double *critvals);

/******************************************************************************/
/*                                                                            */
/* Wrapper function for 'wy_corr_laeuter_total'.                              */
/*                                                                            */
/******************************************************************************/

void wy_corr_laeuter_total_R(double *X, int *ns, int *s, int *p, 
			     int *rposonly, int *pivdom, double *r2min, 
			     int *nres, int *rand, int *multisample,
			     int *idx, double *testvalue, double *pvalue,
                             double *critlevs, int *ncrit, double *critvals);

#endif
