/******************************************************************************/
/*                                                                            */
/* wyutils.c / wyutils.h                                                      */
/* =====================                                                      */
/*                                                                            */
/* Utility functions that support the Westfall & Young resampling algorithms  */
/* implemented in the Westfall & Young-package.                               */
/*                                                                            */
/******************************************************************************/

#ifndef WYUTILS_H
#define WYUTILS_H

/******************************************************************************/
/*                                                                            */
/* Calculate number of systematic commutations.                               */
/*                                                                            */
/******************************************************************************/

int getsystcommnum(int n);

/******************************************************************************/
/*                                                                            */
/* Calculate number of systematic permutations (two groups).                  */
/*                                                                            */
/******************************************************************************/
                                                                                
int getsystpermnum(int *ns);

/******************************************************************************/
/*                                                                            */
/* Compute in and out indices for the 'Revolving door algorithm' an algorithm */
/* for systematic generation of all k-combinations out of n elements by       */
/* exchanging only one element at a time.                                     */
/*                                                                            */
/******************************************************************************/

void getinoutidxs(int *ns, int *inidx, int *outidx, int permnum);

#endif
